## golang-k8s-component-base 0.31.4

=== debian/changelog ===
golang-k8s-component-base (0.31.4-2) unstable; urgency=medium

  * Source-only upload for migration

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Tue, 28 Jan 2025 23:32:20 +0000

golang-k8s-component-base (0.31.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1092555)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Tue, 07 Jan 2025 23:39:30 +0000
