=== debian/control ===
Source: golang-k8s-component-base
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-blang-semver-dev,
               golang-github-go-logr-logr-dev,
               golang-github-go-logr-zapr-dev,
               golang-github-google-go-cmp-dev,
               golang-github-moby-term-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev,
               golang-github-prometheus-procfs-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-opentelemetry-contrib-dev,
               golang-opentelemetry-otel-dev,
               golang-go.uber-zap-dev,
               golang-golang-x-sys-dev,
               golang-gopkg-yaml.v2-dev,
               golang-k8s-apimachinery-dev,
               golang-k8s-client-go-dev,
               golang-k8s-klog-dev,
               golang-k8s-utils-dev,
               golang-k8s-sigs-json-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-component-base
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-component-base.git
Homepage: https://github.com/kubernetes/component-base
XS-Go-Import-Path: k8s.io/component-base

Package: golang-k8s-component-base-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         golang-github-blang-semver-dev,
         golang-github-go-logr-logr-dev,
         golang-github-go-logr-zapr-dev,
         golang-github-google-go-cmp-dev,
         golang-github-moby-term-dev,
         golang-github-prometheus-client-golang-dev,
         golang-github-prometheus-client-model-dev,
         golang-github-prometheus-common-dev,
         golang-github-prometheus-procfs-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev,
         golang-opentelemetry-contrib-dev,
         golang-opentelemetry-otel-dev,
         golang-go.uber-zap-dev,
         golang-golang-x-sys-dev,
         golang-gopkg-yaml.v2-dev,
         golang-k8s-apimachinery-dev,
         golang-k8s-client-go-dev,
         golang-k8s-klog-dev,
         golang-k8s-utils-dev,
         golang-k8s-sigs-json-dev
Description: Toolkit for building Kubernetes components with shared utilities (library)
 The component-base provides a set of shared libraries and utilities to
 standardize the development of Kubernetes components.
 .
 It has support to a structured approach for handling configuration management
 through ComponentConfig implementation, which includes encoding/decoding
 utilities and validation helpers.
 .
 It can simplify the setup of CLI tools and long-running server components with
 robust command and flag handling, ensuring consistency across Kubernetes
 projects.
 .
 Additionally, it provides integration with Kubernetes authentication and
 authorization mechanisms and offers a consistent logging framework tailored
 for Kubernetes-aware components.
 .
 This library is designed to facilitate the development of core Kubernetes
 components such as kube-apiserver, kubelet, and kube-scheduler by
 consolidating common functionality into a reusable library.
