=== debian/control ===
--- 
+++ 
@@ -24,13 +24,13 @@
                golang-go.uber-zap-dev,
                golang-golang-x-sys-dev,
                golang-gopkg-yaml.v2-dev,
-               golang-k8s-apimachinery-dev,
-               golang-k8s-client-go-dev,
+               golang-k8s-apimachinery-dev (>= 0.32),
+               golang-k8s-client-go-dev (>= 0.32),
                golang-k8s-klog-dev,
                golang-k8s-utils-dev,
                golang-k8s-sigs-json-dev
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-k8s-component-base
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-k8s-component-base.git
 Homepage: https://github.com/kubernetes/component-base
@@ -57,8 +57,8 @@
          golang-go.uber-zap-dev,
          golang-golang-x-sys-dev,
          golang-gopkg-yaml.v2-dev,
-         golang-k8s-apimachinery-dev,
-         golang-k8s-client-go-dev,
+         golang-k8s-apimachinery-dev (>= 0.32),
+         golang-k8s-client-go-dev (>= 0.32),
          golang-k8s-klog-dev,
          golang-k8s-utils-dev,
          golang-k8s-sigs-json-dev
