## golang-k8s-component-base 0.33.4

=== debian/changelog ===
golang-k8s-component-base (0.33.4-1) unstable; urgency=medium

  * New upstream version 0.33.4
  * d/control: Update kubernetes dev constraint to >= 0.33.4
  * d/copyright: Update The Kubernetes Authors year to 2025

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Wed, 27 Aug 2025 22:11:57 +0100
