=== debian/control ===
--- 
+++ 
@@ -24,8 +24,8 @@
                golang-go.uber-zap-dev,
                golang-golang-x-sys-dev,
                golang-gopkg-yaml.v2-dev,
-               golang-k8s-apimachinery-dev (>= 0.32),
-               golang-k8s-client-go-dev (>= 0.32),
+               golang-k8s-apimachinery-dev (>= 0.33.4),
+               golang-k8s-client-go-dev (>= 0.33.4),
                golang-k8s-klog-dev,
                golang-k8s-utils-dev,
                golang-k8s-sigs-json-dev
@@ -57,8 +57,8 @@
          golang-go.uber-zap-dev,
          golang-golang-x-sys-dev,
          golang-gopkg-yaml.v2-dev,
-         golang-k8s-apimachinery-dev (>= 0.32),
-         golang-k8s-client-go-dev (>= 0.32),
+         golang-k8s-apimachinery-dev (>= 0.33.4),
+         golang-k8s-client-go-dev (>= 0.33.4),
          golang-k8s-klog-dev,
          golang-k8s-utils-dev,
          golang-k8s-sigs-json-dev
